Attribute VB_Name = "Module14"
Private Declare Function ECF_PercentualLivreMFD Lib "CONVECF.DLL" (ByVal MemLivre As String) As Integer
Private Declare Function ECF_TotalLivreMFD Lib "CONVECF.DLL" (ByVal MemLivre As String) As Integer
Private Declare Function ECF_ReducoesRestantesMFD Lib "CONVECF.DLL" (ByVal Reducoes As String) As Integer
Private Declare Function ECF_TamanhoTotalMFD Lib "CONVECF.DLL" (ByVal MemLivre As String) As Integer
Private Declare Function ECF_DataMovimento Lib "CONVECF.DLL" (ByVal Data As String) As Integer

Function PercentualLivreMFD()
    Dim Perc As String
    
    Perc = Space(6)
    retorno = ECF_PercentualLivreMFD(Perc)
    
    MsgBox " 'Percentual Livre' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Percentual Livre da MFD: " & Perc
End Function

Function TotalLivreMFD()
    Dim TotLivre As String
    
    TotLivre = Space(10)
    retorno = ECF_TotalLivreMFD(TotLivre)
    
    MsgBox " 'Total Livre' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Total Livre da MFD: " & TotLivre & " bytes"
End Function

Function ReducoesRestantes()
    Dim Z As String
    
    Z = Space(4)
    retorno = ECF_ReducoesRestantesMFD(Z)
    
    MsgBox " 'Reduções Restantes' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Reduções Z Restantes: " & Z
End Function

Function TamanhoTotalMFD()
    Dim TamTot As String
    
    TamTot = Space(10)
    retorno = ECF_TamanhoTotalMFD(TamTot)
    
    MsgBox " 'Tamanho Total da MFD' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Tamanho Total da MFD: " & TamTot & " bytes"
End Function

Function DataMovimento()
    Dim DT As String
    
    DT = Space(6)
    retorno = ECF_DataMovimento(DT)
    
    MsgBox " 'Data de Movimento' " & vbCrLf & "Status: " & retorno
    Form1.List1.AddItem "Data de Movimento: " & DT
End Function
